// -*- c++ -*-
//
// $Id: AppUdpServer.h,v 1.2 1996-01-10 17:05:24-08 bmah Exp $
//   based on:
// $ID: AppTcpServer.h,v 1.2 1995-12-10 14:14:43-08 bmah Exp $
//
// AppUdpServer.h
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1995 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//

#ifndef APPUDPSERVER_H
#define APPUDPSERVER_H

#include "AppUdp.h"

class AppUdpServer : public AppUdp {

    public:

    AppUdpServer(const String &name, Simulation *si, double initTime,
		 String &t, short p) :
    AppUdp(name, si, initTime, t), port(p) {

    }

    virtual ~AppUdpServer() {
    }

    virtual String Output(void);
    virtual void Handler(Event *e);

    protected:				  

    short port;			// server UDP port
    UdpPcb *tp;			// receiving "socket"

    private:

};

#endif // APPUDPSERVER_H
