static char rcsid[] = "$Id: AtmCell.cc,v 1.3 1996-02-07 15:08:05-08 bmah Exp $";
//
// $Id: AtmCell.cc,v 1.3 1996-02-07 15:08:05-08 bmah Exp $
//
// AtmCell.cc
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//

#include "AtmCell.h"
#include <iostream.h>

char *AtmCellTypeName[] = {
    "Data",
    "EOP",
    "ACK"
};

//
// AtmCell::Print
//
// Input:  output stream s
//
// Output:  output stream (in return value)
//
// Print IP packet values
//
ostream& AtmCell::Print(ostream &s)
{
    s << "([AtmCell] vcid " << vcid << " type " << type << " refcount " << refcount;
    if (payload) {
	s << " " << payload;
    }
    s << ")";
    return s;
}

ostream& operator<<(ostream &s, AtmCellType t)
{
    return s << AtmCellTypeName[t];
}

