static char rcsid[] = "$Id: Event.cc,v 1.7 1996-04-16 11:03:15-07 bmah Exp $";
//
// $Id: Event.cc,v 1.7 1996-04-16 11:03:15-07 bmah Exp $
//
// Event.cc
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//
// Support data and procedures for Event class.
//
#include "Event.h"

char *EventTypeName[] = {
    "EventNull",
    
    "EventCellArrival",
    "EventCellTransmitComplete",

    "EventFrameSend",
    "EventFrameArrival",
    "EventFrameTransmitComplete",

    "EventTimer",
    "EventTimer2",

    "EventCellSend",

    "EventCall",

    "EventHalt",
    "EventDebug",
      
    "EventPacketSend",
    "EventPacketArrival",

    "EventIpSend",
    "EventIpArrival",

    "EventUdpSend",
    "EventUdpArrival",

    "EventTcpSend",
    "EventTcpArrival",
    "EventTcpConnect",
    "EventTcpClosed",
    "EventTcpError"
};

//
// operator<<
//
// Input:  Output stream (s), event type (et)
//
// Output:  Output stream
//
// Print the name of the event type et on the output stream s.
//
ostream& operator<<(ostream &s, EventType et)
{
    char *output;
    
    output = EventTypeName[et];

    return s << output;

}
