static char rcsid[] = "$Id: IpPacket.cc,v 1.3 1996-02-06 22:51:02-08 bmah Exp $";
//
// $Id: IpPacket.cc,v 1.3 1996-02-06 22:51:02-08 bmah Exp $
//
// ipproto.cc
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//

#include "IpPacket.h"
#include <iostream.h>

//
// IpPacket::Print
//
// Input:  output stream s
//
// Output:  output stream (in return value)
//
// Print IP packet values
//
ostream& IpPacket::Print(ostream &s)
{
    s << "([IpPacket] ip_src " << ip_src << " ip_dst " << ip_dst << " ip_next " << ip_next << " ip_len " << ip_len << " refcount " << refcount;
    if (payload) {
	s << " " << payload;
    }
    s << ")";
    return s;
}

ostream& operator<<(ostream &s, InAddr ia)
{
    return s << InetNtoA(ia);
}

