static char rcsid[] = "$Id: LanFrame.cc,v 1.1 1996-02-09 10:03:34-08 bmah Exp $";
//
// $Id: LanFrame.cc,v 1.1 1996-02-09 10:03:34-08 bmah Exp $
//
// LanFrame.cc
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//

#include "LanFrame.h"
#include <iostream.h>

//
// LanFrame::Print
//
// Input:  output stream s
//
// Output:  output stream (in return value)
//
// Print Lan frame info
//
ostream& LanFrame::Print(ostream &s)
{
    s << "([LanFrame] length " << length << " refcount " << refcount;
    if (payload) {
	s << " " << payload;
    }
    s << ")";
    return s;
}


