static char rcsid[] = "$Id: util.cc,v 1.4 1996-01-29 12:02:44-08 bmah Exp $";
//
// $Id: util.cc,v 1.4 1996-01-29 12:02:44-08 bmah Exp $
//
// util.h
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//
// Miscellaneous utility functions.
//
#include <iostream.h>
#include <String.h>
#include "Simulation.h"
#include "util.h"

//
// panic
//
// Input:  Error message (s)
//
// Output:  None.
//
// Print an error message on standard error and exit immediately.
//
void panic(String out)
{

    extern Simulation *sim;

    *(sim->debugStream) << out << '\n';
    abort();
}
