static char rcsid[] = "$Id: AalFrame.cc,v 1.2 1996-02-09 10:03:30-08 bmah Exp $";
//
// $Id: AalFrame.cc,v 1.2 1996-02-09 10:03:30-08 bmah Exp $
//
// AalFrame.cc
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//

#include "AalFrame.h"
#include <iostream.h>

//
// AalFrame::~AalFrame
//
// (Object destructor)
//
AalFrame::~AalFrame() {
    if (payload) {
	payload->refcount--;
	if (payload->refcount == 0) {
	    delete payload;
	}
    }
}

//
// AalFrame::Print
//
// Input:  output stream s
//
// Output:  output stream (in return value)
//
// Print IP packet values
//
ostream& AalFrame::Print(ostream &s)
{
    s << "([AalFrame] length " << length << " refcount " << refcount;
    if (payload) {
	s << " " << payload;
    }
    s << ")";
    return s;
}


