// -*- c++ -*-
//
// $Id: AppTcp.h,v 1.4 1996-01-10 17:05:20-08 bmah Exp $
//
// AppTcp.h
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1995, 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//

#ifndef APPTCP_H
#define APPTCP_H

#include <String.h>
#include "App.h"
#include "Tcp.h"

class AppTcp : public App {

    public:
    AppTcp(const String &name, Simulation *si, double initTime, String &t);

    virtual ~AppTcp () {
    }

    virtual String Output(void);
    virtual void Handler(Event *e);

    protected:				  

    Tcp *tcpModule;		// TCP module on current node
    String tcpModuleName;	// name of same

    private:

};

#endif // APPTCP_H

