// -*- c++ -*-
//
// $Id: AppUdp.h,v 1.3 1996-01-10 17:05:23-08 bmah Exp $
//   based on:
// $ID: AppTcp.h,v 1.3 1995-12-10 14:54:11-08 bmah Exp $
//
// AppTcp.h
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1995, 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//

#ifndef APPUDP_H
#define APPUDP_H

#include <String.h>
#include "App.h"
#include "Udp.h"

class AppUdp : public App {

    public:
    AppUdp(const String &name, Simulation *si, double initTime, String &t);

    virtual ~AppUdp () {
    }

    virtual String Output(void);
    virtual void Handler(Event *e);

    protected:				  

    Udp *udpModule;		// UDP module on current node
    String udpModuleName;	// name of same
    UdpPcb *up;			// PCB for this UDP "socket"

    private:

};

#endif // APPUDP_H

