static char rcsid[] = "$Id: AppUdpServer.cc,v 1.1 1995-12-12 14:20:57-08 bmah Exp $";
//
// $Id: AppUdpServer.cc,v 1.1 1995-12-12 14:20:57-08 bmah Exp $
//   based on:
// $ID: AppTcpServer.cc,v 1.7 1995-12-10 14:14:42-08 bmah Exp $
//
// AppUdpServer.cc
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1995 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//
// Base class of servers using UDP as a transport.
//

#include "AppUdpServer.h"
#include "Event.h"
#include "inline.h"

//
// AppUdpServer::Handler
//
// (Event handler)
//
void
AppUdpServer::Handler(Event *e)
{

    double time = e->ev_time;
    EventType type = e->ev_type;
    void *data = e->ev_data;

    AppUdp::Handler(e);
    
}

//
// AppUdpServer::Output
//
// Input:  None
//
// Output:  String with an ASCII representation of this object.
//
String
AppUdpServer::Output()
{
    return name + " [AppUdpServer]";
}



