static char rcsid[] = "$Id: EmpiricalContinuous.cc,v 1.2 1995-12-01 13:21:16-08 bmah Exp $";
// -*- c++ -*-
// $Id: EmpiricalContinuous.cc,v 1.2 1995-12-01 13:21:16-08 bmah Exp $
//
// EmpiricalContinuous.h
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1995 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//
// Empirical random number distribution class.  The distribution is defined
// by a cumulative distribution function, input when a distribution
// object is created and consisting of an array of a DoubleDistElement
// structures.  The elements in the array MUST be sorted in ascending
// numerical order by cdf and value.  If no element with cdf is given
// (thus defining a lower bound on the values in the distribution),
// the distribution is assumed to have a lowest possible value of 0.
//
// The operator() function returns IID random variables from the distribution
// defined by the CDF.  Linear interpolation is performed between data
// points in the CDF to give a continuous distribution.
//

#include "EmpiricalContinuous.h"
