static char rcsid[] = "$Id: UdpPacket.cc,v 1.1 1996-02-06 16:51:55-08 bmah Exp $";
//
// $Id: UdpPacket.cc,v 1.1 1996-02-06 16:51:55-08 bmah Exp $
//
// UdpPacket.cc
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//


#include "UdpPacket.h"

//
// UdpPacket::Print
//
// Input:  output stream s
//
// Output:  output stream (in return value)
//
// Print UDP header
//
ostream& UdpPacket::Print(ostream &s)
{
    s << "([UdpPacket] sport " << uh_sport << " dport " << uh_dport << " ulen " << uh_ulen << " type " << type << " refcout " << refcount;
    return s;
}
