static char rcsid[] = "$Id: apiproto.cc,v 1.4 1996-04-16 11:03:20-07 bmah Exp $";
//
// $Id: apiproto.cc,v 1.4 1996-04-16 11:03:20-07 bmah Exp $
//
// apiproto.cc
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1996 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//
// Utility functions for signalling protocol (API portion).
//

#include <iostream.h>
#include <String.h>
#include "apiproto.h"
#include "inline.h"

//
// ApiMessageTypeString
//
// Input:  Message type
//
// Output:  String with ASCII text of message type
//
String ApiMessageTypeString(ApiType type)
{

    switch (type) {

	case (ApiTypeEstablish):
	return ((String) "ApiTypeEstablish");
	break;

	case (ApiTypeReturn):
	return ((String) "ApiTypeReturn");
	break;

	case (ApiTypeDelete):
	return ((String) "ApiTypeDelete");
	break;

    }

}
