// -*- c++ -*-
//
// $Id: user.h,v 1.2 1995-12-04 10:45:59-08 bmah Exp $
// user.h
//
// Bruce A. Mah (bmah@CS.Berkeley.EDU)
//
// Copyright (c) 1995 The Regents of the University of California
// All Rights Reserved
// Created by Bruce A. Mah
// Department of Electrical Engineering and Computer Sciences,
//   Computer Science Division
//

#ifndef USER_H
#define USER_H

#include "Tcl.h"
#include "Simulation.h"

extern Tcl *tcl;

int InitUser(String &cmdlineInit, String &configFile, Simulation *sim);
void Cli(Simulation *sim);
int QuitCmd(ClientData clientData, Tcl_Interp *interp,
	    int argc, char *argv[]);

#endif // USER_H
	    
		  
